
Packaging - Feature #4452

Build all non-SCL dependencies for EL7

02/25/2014 05:15 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: RPMs   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We have dependencies on non-SCL packages from EPEL and hosted by ourselves for the installer and Hammer, which need

building for EL7.  This may need some co-ordination and poking of EPEL maintainers.

Related issues:

Blocks Foreman - Tracker #4447: Support installation on RHEL 7 Closed 02/25/2014

Associated revisions

Revision 27bf90bb - 05/29/2014 04:45 AM - Dominic Cleal

refs #4452, #4453 - modernise and update for EL7

Revision 38c774c3 - 05/29/2014 06:39 AM - Lukas Zapletal

Merge pull request #254 from domcleal/rpm/develop-hammer

refs #4452, #4453 - import hammer_cli deps, update for EL7

History

#1 - 02/25/2014 05:15 PM - Dominic Cleal

- Blocks Tracker #4447: Support installation on RHEL 7 added

#2 - 05/08/2014 03:28 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

- Target version set to 1.8.3

#3 - 05/09/2014 12:08 PM - Dominic Cleal

Status of packages in EPEL7 that were used in EPEL6:

rubygem-ffi: https://bugzilla.redhat.com/show_bug.cgi?id=1096191 (bkearney, blocks gssapi)

rubygem-gssapi: DONE (http://koji.fedoraproject.org/koji/buildinfo?buildID=499187)

rubygem-json: in EL7

rubygem-locale: https://bugzilla.redhat.com/show_bug.cgi?id=1101659

rubygem-mime-types: https://bugzilla.redhat.com/show_bug.cgi?id=1096194 (blocks rest-client)

rubygem-passenger: https://bugzilla.redhat.com/show_bug.cgi?id=1096202

rubygem-rack: https://bugzilla.redhat.com/show_bug.cgi?id=1096199 (blocks passenger, sinatra)

rubygem-rack-test: https://bugzilla.redhat.com/show_bug.cgi?id=1096201 (blocks sinatra)

rubygem-rest-client: https://bugzilla.redhat.com/show_bug.cgi?id=1096198

rubygem-sinatra: https://bugzilla.redhat.com/show_bug.cgi?id=1096203

#4 - 05/19/2014 11:55 AM - Dominic Cleal

- % Done changed from 0 to 30

Proxy dependencies built from foreman-packaging/rpm/develop, including packages currently missing from EPEL7:
http://koji.katello.org/koji/buildinfo?buildID=10400 ffi

http://koji.katello.org/koji/buildinfo?buildID=10401 mime-types

http://koji.katello.org/koji/buildinfo?buildID=10402 rack

http://koji.katello.org/koji/buildinfo?buildID=10403 rack-protection

http://koji.katello.org/koji/buildinfo?buildID=10404 tilt

http://koji.katello.org/koji/buildinfo?buildID=10405 sinatra

http://koji.katello.org/koji/buildinfo?buildID=10417 rkerberos

http://koji.katello.org/koji/buildinfo?buildID=10423 rubyipmi

#5 - 05/19/2014 11:57 AM - Dominic Cleal

- Category set to RPMs

- Target version changed from 1.8.3 to 1.8.2

#6 - 05/19/2014 12:03 PM - Dominic Cleal

- Target version changed from 1.8.2 to 1.8.3

#7 - 05/19/2014 12:47 PM - Dominic Cleal

- Target version changed from 1.8.3 to 1.8.2

#8 - 05/27/2014 03:09 PM - Dominic Cleal

Hammer dependencies:

http://koji.katello.org/koji/buildinfo?buildID=10690 rest-client

http://koji.katello.org/koji/buildinfo?buildID=10684 netrc

The remainder up for review: https://github.com/theforeman/foreman-packaging/pull/254

#9 - 05/29/2014 11:36 AM - Dominic Cleal

- % Done changed from 30 to 80

Hammer dependencies merged and currently building, installer deps still to go.

#10 - 05/29/2014 03:35 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- % Done changed from 80 to 90

- translation missing: en.field_release set to 10

kafo deps built, kafo itself next:

https://github.com/theforeman/kafo/pull/89

https://github.com/theforeman/kafo_parsers/pull/8

#11 - 05/30/2014 02:30 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 90 to 100

Powered by TCPDF (www.tcpdf.org)

05/11/2024 2/2

http://koji.katello.org/koji/buildinfo?buildID=10400
http://koji.katello.org/koji/buildinfo?buildID=10401
http://koji.katello.org/koji/buildinfo?buildID=10402
http://koji.katello.org/koji/buildinfo?buildID=10403
http://koji.katello.org/koji/buildinfo?buildID=10404
http://koji.katello.org/koji/buildinfo?buildID=10405
http://koji.katello.org/koji/buildinfo?buildID=10417
http://koji.katello.org/koji/buildinfo?buildID=10423
http://koji.katello.org/koji/buildinfo?buildID=10690
http://koji.katello.org/koji/buildinfo?buildID=10684
https://github.com/theforeman/foreman-packaging/pull/254
https://github.com/theforeman/kafo/pull/89
https://github.com/theforeman/kafo_parsers/pull/8
http://www.tcpdf.org

